package ec.edu.epn.seguridad.VO;

import java.io.Serializable;

import ec.edu.epn.seguridad.vo.Usuario;

/**
 * Emula SesionUsuario con datos quemados 
 *
 */
public class SesionUsuarioMock implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -6051644872747793329L;
	private String perfilSeleccionado;

	public String getPerfilSeleccionado() {
		return perfilSeleccionado;
	}


	public void setPerfilSeleccionado(String perfilSeleccionado) {
		this.perfilSeleccionado = perfilSeleccionado;
	}

	public Usuario getUsuario() {
		Usuario u = new Usuario();
		u.setNombreUsuario("username");
		u.setCedula("1234567890");
		return u;
	}
	
	public boolean validarAcceso(String acceso){
		return true;
	}
	public boolean getPuedeCrear(){
		return validarAcceso("c");
	}
	public boolean getPuedeModificar(){
		return validarAcceso("m");
	}
	public boolean getPuedeEliminar(){
		return validarAcceso("e");
	}
}
