package ec.edu.epn.seguridad.VO;

import java.util.Comparator;

import ec.edu.epn.seguridad.vo.Aplicacion;
//import ec.edu.epn.seguridad.vo.Autorizacion;
import ec.edu.epn.seguridad.vo.Menu;
import ec.edu.epn.seguridad.vo.Perfil;
import ec.edu.epn.seguridad.vo.Personal;
import ec.edu.epn.seguridad.vo.Unidad;
import ec.edu.epn.seguridad.vo.Usuario;

public class ComparatorAdmin implements Comparator<Object> {

	@Override
	public int compare(Object o1, Object o2) {
		
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Aplicacion")){
				Aplicacion app1 = (Aplicacion) o1;
				Aplicacion app2 = (Aplicacion) o2;
				return app1.getNombre().compareToIgnoreCase(app2.getNombre());
			}
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Perfil")){
				Perfil perf1 = (Perfil) o1;
				Perfil perf2 = (Perfil) o2;
				return perf1.getNombre().compareToIgnoreCase(perf2.getNombre());
			}
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Menu")){
				Menu menu1 = (Menu) o1;
				Menu menu2 = (Menu) o2;
				return menu1.getNombre().compareToIgnoreCase(menu2.getNombre());
			}
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Personal")){
				Personal pers1 = (Personal) o1;
				Personal pers2 = (Personal) o2;
				return pers1.getNombresPe().compareToIgnoreCase(pers2.getNombresPe());
			}
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Unidad")){
				Unidad uni1 = (Unidad) o1;
				Unidad uni2 = (Unidad) o2;
				return uni1.getNombreU().compareToIgnoreCase(uni2.getNombreU());
			}
			if(o1.getClass().getName().equals("ec.edu.epn.seguridad.vo.Usuario")){
				Usuario user1 = (Usuario) o1;
				Usuario user2 = (Usuario) o2;
				return user1.getNombreUsuario().compareToIgnoreCase(user2.getNombreUsuario());
			}
		return 0;

	}
}
