package ec.edu.epn.seguridad.servlet;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class CerrarSesion extends HttpServlet {
   
	private static final long serialVersionUID = -8108914910223133525L;

	public void service(ServletRequest req,ServletResponse resp) {
		//Obteniendo las URLs de los parmetros de contexto de web.xml
    	String urlAplicacion = getServletContext().getInitParameter("urlAplicacion");
    	String urlLogout = getServletContext().getInitParameter("urlLogout");
    	HttpServletRequest request = (HttpServletRequest)req;
    	HttpSession session = request.getSession();
    	HttpServletResponse response = (HttpServletResponse)resp;
    	session.invalidate();
    	try {
    		//Redireccionando de vuelta a la aplicacin 
    		//una vez cerrada la sesin
    		response.sendRedirect(urlLogout+"?service="+urlAplicacion);
    	}catch(Exception e) {
    		e.printStackTrace();
    	}
    	
    }
}
